Subject: [bug#63527] [PATCH 0/3] Initial attempt at rumpdisk support for the Hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 15 Jul 2023 01:35:16 +0200

Josselin Poiret writes:

> Hi Ludo,
>
> Ludovic Courtès <[email-masked]> writes:
>
>> However, there seem to be regressions when cross-compiling to
>> i586-pc-gnu, such as <https://ci.guix.gnu.org/build/1595110/details>:
>
> That's because of the revert of the mig update in
> a041bbb4bf98cce72b14c554369fc56eeacc2f5d, since it apparently caused
> problems on the data service.  I don't expect anything to build without
> the new mig version, but I have no idea what could be causing this
> issue.

Yes, I re-cherry-picked the mig update and put it at the bottom of
hurd-team and can confirm that

    /gnu/store/8syklh9kg8rlkalzmb2rzgj0z6fgabyr-guile-static-stripped-tarball-3.0.9

> Janneke, have you ever run into such a thing when building
> natively?  Maybe it's just the childhurds not having enough RAM?

I've got no idea; it was suggested on IRC that a circular dependency was
created and that may be true.  Like you remarked on IRC, we probably
need the commencement patches too.

We can see about the rest of hurd-team that's mostly about building guix
natively, later.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com